/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
!function(r,e){"object"==typeof exports&&"undefined"!=typeof module?e(exports,require("@angular/core"),require("@angular/material/core"),require("@angular/common")):"function"==typeof define&&define.amd?define("@angular/material/progressBar",["exports","@angular/core","@angular/material/core","@angular/common"],e):e((r.ng=r.ng||{},r.ng.material=r.ng.material||{},r.ng.material.progressBar={}),r.ng.core,r.ng.material.core,r.ng.common)}(this,function(r,e,a,t){"use strict";function i(r,e){function a(){this.constructor=r}s(r,e),r.prototype=null===e?Object.create(e):(a.prototype=e.prototype,new a)}function n(r,e,a){return void 0===e&&(e=0),void 0===a&&(a=100),Math.max(e,Math.min(a,r))}var s=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(r,e){r.__proto__=e}||function(r,e){for(var a in e)e.hasOwnProperty(a)&&(r[a]=e[a])},o=function(){function r(r){this._elementRef=r}return r}(),m=a.mixinColor(o,"primary"),l=0,c=function(r){function a(e){var a=r.call(this,e)||this;return a._elementRef=e,a._value=0,a._bufferValue=0,a.mode="determinate",a.progressbarId="mat-progress-bar-"+l++,a}return i(a,r),Object.defineProperty(a.prototype,"value",{get:function(){return this._value},set:function(r){this._value=n(r||0)},enumerable:!0,configurable:!0}),Object.defineProperty(a.prototype,"bufferValue",{get:function(){return this._bufferValue},set:function(r){this._bufferValue=n(r||0)},enumerable:!0,configurable:!0}),a.prototype._primaryTransform=function(){return{transform:"scaleX("+this.value/100+")"}},a.prototype._bufferTransform=function(){if("buffer"===this.mode){return{transform:"scaleX("+this.bufferValue/100+")"}}},a.decorators=[{type:e.Component,args:[{selector:"mat-progress-bar",exportAs:"matProgressBar",host:{role:"progressbar","aria-valuemin":"0","aria-valuemax":"100","[attr.aria-valuenow]":"value","[attr.mode]":"mode",class:"mat-progress-bar"},inputs:["color"],template:'<svg width="100%" height="5" focusable="false" class="mat-progress-bar-background mat-progress-bar-element"><defs><pattern [id]="progressbarId" x="5" y="0" width="10" height="5" patternUnits="userSpaceOnUse"><circle cx="2.5" cy="2.5" r="2.5"/></pattern></defs><rect [attr.fill]="\'url(#\' + progressbarId + \')\'" width="100%" height="100%"/></svg><div class="mat-progress-bar-buffer mat-progress-bar-element" [ngStyle]="_bufferTransform()"></div><div class="mat-progress-bar-primary mat-progress-bar-fill mat-progress-bar-element" [ngStyle]="_primaryTransform()"></div><div class="mat-progress-bar-secondary mat-progress-bar-fill mat-progress-bar-element"></div>',styles:[".mat-progress-bar{display:block;height:5px;overflow:hidden;position:relative;transition:opacity 250ms linear;width:100%}.mat-progress-bar .mat-progress-bar-element,.mat-progress-bar .mat-progress-bar-fill::after{height:100%;position:absolute;width:100%}.mat-progress-bar .mat-progress-bar-background{width:calc(100% + 10px)}.mat-progress-bar .mat-progress-bar-buffer{transform-origin:top left;transition:transform 250ms ease}.mat-progress-bar .mat-progress-bar-secondary{display:none}.mat-progress-bar .mat-progress-bar-fill{animation:none;transform-origin:top left;transition:transform 250ms ease}.mat-progress-bar .mat-progress-bar-fill::after{animation:none;content:'';display:inline-block;left:0}.mat-progress-bar[dir=rtl],[dir=rtl] .mat-progress-bar{transform:rotateY(180deg)}.mat-progress-bar[mode=query]{transform:rotateZ(180deg)}.mat-progress-bar[mode=query][dir=rtl],[dir=rtl] .mat-progress-bar[mode=query]{transform:rotateZ(180deg) rotateY(180deg)}.mat-progress-bar[mode=indeterminate] .mat-progress-bar-fill,.mat-progress-bar[mode=query] .mat-progress-bar-fill{transition:none}.mat-progress-bar[mode=indeterminate] .mat-progress-bar-primary,.mat-progress-bar[mode=query] .mat-progress-bar-primary{-webkit-backface-visibility:hidden;backface-visibility:hidden;animation:mat-progress-bar-primary-indeterminate-translate 2s infinite linear;left:-145.166611%}.mat-progress-bar[mode=indeterminate] .mat-progress-bar-primary.mat-progress-bar-fill::after,.mat-progress-bar[mode=query] .mat-progress-bar-primary.mat-progress-bar-fill::after{-webkit-backface-visibility:hidden;backface-visibility:hidden;animation:mat-progress-bar-primary-indeterminate-scale 2s infinite linear}.mat-progress-bar[mode=indeterminate] .mat-progress-bar-secondary,.mat-progress-bar[mode=query] .mat-progress-bar-secondary{-webkit-backface-visibility:hidden;backface-visibility:hidden;animation:mat-progress-bar-secondary-indeterminate-translate 2s infinite linear;left:-54.888891%;display:block}.mat-progress-bar[mode=indeterminate] .mat-progress-bar-secondary.mat-progress-bar-fill::after,.mat-progress-bar[mode=query] .mat-progress-bar-secondary.mat-progress-bar-fill::after{-webkit-backface-visibility:hidden;backface-visibility:hidden;animation:mat-progress-bar-secondary-indeterminate-scale 2s infinite linear}.mat-progress-bar[mode=buffer] .mat-progress-bar-background{-webkit-backface-visibility:hidden;backface-visibility:hidden;animation:mat-progress-bar-background-scroll 250ms infinite linear}@keyframes mat-progress-bar-primary-indeterminate-translate{0%{transform:translateX(0)}20%{animation-timing-function:cubic-bezier(.5,0,.70173,.49582);transform:translateX(0)}59.15%{animation-timing-function:cubic-bezier(.30244,.38135,.55,.95635);transform:translateX(83.67142%)}100%{transform:translateX(200.61106%)}}@keyframes mat-progress-bar-primary-indeterminate-scale{0%{transform:scaleX(.08)}36.65%{animation-timing-function:cubic-bezier(.33473,.12482,.78584,1);transform:scaleX(.08)}69.15%{animation-timing-function:cubic-bezier(.06,.11,.6,1);transform:scaleX(.66148)}100%{transform:scaleX(.08)}}@keyframes mat-progress-bar-secondary-indeterminate-translate{0%{animation-timing-function:cubic-bezier(.15,0,.51506,.40969);transform:translateX(0)}25%{animation-timing-function:cubic-bezier(.31033,.28406,.8,.73371);transform:translateX(37.65191%)}48.35%{animation-timing-function:cubic-bezier(.4,.62704,.6,.90203);transform:translateX(84.38617%)}100%{transform:translateX(160.27778%)}}@keyframes mat-progress-bar-secondary-indeterminate-scale{0%{animation-timing-function:cubic-bezier(.15,0,.51506,.40969);transform:scaleX(.08)}19.15%{animation-timing-function:cubic-bezier(.31033,.28406,.8,.73371);transform:scaleX(.4571)}44.15%{animation-timing-function:cubic-bezier(.4,.62704,.6,.90203);transform:scaleX(.72796)}100%{transform:scaleX(.08)}}@keyframes mat-progress-bar-background-scroll{to{transform:translateX(-10px)}}"],changeDetection:e.ChangeDetectionStrategy.OnPush,encapsulation:e.ViewEncapsulation.None}]}],a.ctorParameters=function(){return[{type:e.ElementRef}]},a.propDecorators={value:[{type:e.Input}],bufferValue:[{type:e.Input}],mode:[{type:e.Input}]},a}(m),f=function(){function r(){}return r.decorators=[{type:e.NgModule,args:[{imports:[t.CommonModule,a.MatCommonModule],exports:[c,a.MatCommonModule],declarations:[c]}]}],r}();r.MatProgressBarModule=f,r.MatProgressBarBase=o,r._MatProgressBarMixinBase=m,r.MatProgressBar=c,Object.defineProperty(r,"__esModule",{value:!0})});
//# sourceMappingURL=material-progress-bar.umd.min.js.map
