/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?e(exports,require("@angular/core"),require("@angular/cdk/portal"),require("@angular/material/core"),require("rxjs"),require("@angular/animations"),require("@angular/cdk/bidi"),require("rxjs/operators"),require("@angular/cdk/coercion"),require("@angular/cdk/keycodes"),require("@angular/cdk/scrolling"),require("@angular/cdk/platform"),require("@angular/cdk/observers"),require("@angular/common")):"function"==typeof define&&define.amd?define("@angular/material/tabs",["exports","@angular/core","@angular/cdk/portal","@angular/material/core","rxjs","@angular/animations","@angular/cdk/bidi","rxjs/operators","@angular/cdk/coercion","@angular/cdk/keycodes","@angular/cdk/scrolling","@angular/cdk/platform","@angular/cdk/observers","@angular/common"],e):e((t.ng=t.ng||{},t.ng.material=t.ng.material||{},t.ng.material.tabs={}),t.ng.core,t.ng.cdk.portal,t.ng.material.core,t.Rx,t.ng.animations,t.ng.cdk.bidi,t.Rx.operators,t.ng.cdk.coercion,t.ng.cdk.keycodes,t.ng.cdk.scrolling,t.ng.cdk.platform,t.ng.cdk.observers,t.ng.common)}(this,function(t,e,n,a,i,r,o,s,l,c,p,d,b,h){"use strict";function u(t,e){function n(){this.constructor=t}f(t,e),t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n)}function g(){return function(t){return{left:t?(t.offsetLeft||0)+"px":"0",width:t?(t.offsetWidth||0)+"px":"0"}}}var f=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n])},m=new e.InjectionToken("MatInkBarPositioner",{providedIn:"root",factory:g}),_=function(){function t(t,e,n){this._elementRef=t,this._ngZone=e,this._inkBarPositioner=n}return t.prototype.alignToElement=function(t){var e=this;this.show(),"undefined"!=typeof requestAnimationFrame?this._ngZone.runOutsideAngular(function(){requestAnimationFrame(function(){return e._setStyles(t)})}):this._setStyles(t)},t.prototype.show=function(){this._elementRef.nativeElement.style.visibility="visible"},t.prototype.hide=function(){this._elementRef.nativeElement.style.visibility="hidden"},t.prototype._setStyles=function(t){var e=this._inkBarPositioner(t),n=this._elementRef.nativeElement;n.style.left=e.left,n.style.width=e.width},t.decorators=[{type:e.Directive,args:[{selector:"mat-ink-bar",host:{class:"mat-ink-bar"}}]}],t.ctorParameters=function(){return[{type:e.ElementRef},{type:e.NgZone},{type:void 0,decorators:[{type:e.Inject,args:[m]}]}]},t}(),y=function(t){function n(e,n){return t.call(this,e,n)||this}return u(n,t),n.decorators=[{type:e.Directive,args:[{selector:"[mat-tab-label], [matTabLabel]"}]}],n.ctorParameters=function(){return[{type:e.TemplateRef},{type:e.ViewContainerRef}]},n}(n.CdkPortal),v=function(){function t(t){this.template=t}return t.decorators=[{type:e.Directive,args:[{selector:"[matTabContent]"}]}],t.ctorParameters=function(){return[{type:e.TemplateRef}]},t}(),x=function(){function t(){}return t}(),C=a.mixinDisabled(x),k=function(t){function a(e){var n=t.call(this)||this;return n._viewContainerRef=e,n.textLabel="",n._contentPortal=null,n._labelChange=new i.Subject,n._disableChange=new i.Subject,n.position=null,n.origin=null,n.isActive=!1,n}return u(a,t),Object.defineProperty(a.prototype,"content",{get:function(){return this._contentPortal},enumerable:!0,configurable:!0}),a.prototype.ngOnChanges=function(t){t.hasOwnProperty("textLabel")&&this._labelChange.next(),t.hasOwnProperty("disabled")&&this._disableChange.next()},a.prototype.ngOnDestroy=function(){this._disableChange.complete(),this._labelChange.complete()},a.prototype.ngOnInit=function(){this._contentPortal=new n.TemplatePortal(this._explicitContent||this._implicitContent,this._viewContainerRef)},a.decorators=[{type:e.Component,args:[{selector:"mat-tab",template:"<ng-template><ng-content></ng-content></ng-template>",inputs:["disabled"],changeDetection:e.ChangeDetectionStrategy.OnPush,encapsulation:e.ViewEncapsulation.None,exportAs:"matTab"}]}],a.ctorParameters=function(){return[{type:e.ViewContainerRef}]},a.propDecorators={templateLabel:[{type:e.ContentChild,args:[y]}],_explicitContent:[{type:e.ContentChild,args:[v,{read:e.TemplateRef}]}],_implicitContent:[{type:e.ViewChild,args:[e.TemplateRef]}],textLabel:[{type:e.Input,args:["label"]}]},a}(C),I={translateTab:r.trigger("translateTab",[r.state("center, void, left-origin-center, right-origin-center",r.style({transform:"none"})),r.state("left",r.style({transform:"translate3d(-100%, 0, 0)"})),r.state("right",r.style({transform:"translate3d(100%, 0, 0)"})),r.transition("* => left, * => right, left => center, right => center",r.animate("500ms cubic-bezier(0.35, 0, 0.25, 1)")),r.transition("void => left-origin-center",[r.style({transform:"translate3d(-100%, 0, 0)"}),r.animate("500ms cubic-bezier(0.35, 0, 0.25, 1)")]),r.transition("void => right-origin-center",[r.style({transform:"translate3d(100%, 0, 0)"}),r.animate("500ms cubic-bezier(0.35, 0, 0.25, 1)")])])},T=function(t){function n(e,n,a){var r=t.call(this,e,n)||this;return r._host=a,r._centeringSub=i.Subscription.EMPTY,r._leavingSub=i.Subscription.EMPTY,r}return u(n,t),n.prototype.ngOnInit=function(){var e=this;t.prototype.ngOnInit.call(this),this._centeringSub=this._host._beforeCentering.pipe(s.startWith(this._host._isCenterPosition(this._host._position))).subscribe(function(t){t&&!e.hasAttached()&&e.attach(e._host._content)}),this._leavingSub=this._host._afterLeavingCenter.subscribe(function(){e.detach()})},n.prototype.ngOnDestroy=function(){t.prototype.ngOnDestroy.call(this),this._centeringSub.unsubscribe(),this._leavingSub.unsubscribe()},n.decorators=[{type:e.Directive,args:[{selector:"[matTabBodyHost]"}]}],n.ctorParameters=function(){return[{type:e.ComponentFactoryResolver},{type:e.ViewContainerRef},{type:w,decorators:[{type:e.Inject,args:[e.forwardRef(function(){return w})]}]}]},n}(n.CdkPortalOutlet),w=function(){function t(t,n){this._elementRef=t,this._dir=n,this._onCentering=new e.EventEmitter,this._beforeCentering=new e.EventEmitter,this._afterLeavingCenter=new e.EventEmitter,this._onCentered=new e.EventEmitter(!0)}return Object.defineProperty(t.prototype,"position",{set:function(t){this._position=t<0?"ltr"==this._getLayoutDirection()?"left":"right":t>0?"ltr"==this._getLayoutDirection()?"right":"left":"center"},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"origin",{set:function(t){if(null!=t){var e=this._getLayoutDirection();this._origin="ltr"==e&&t<=0||"rtl"==e&&t>0?"left":"right"}},enumerable:!0,configurable:!0}),t.prototype.ngOnInit=function(){"center"==this._position&&this._origin&&(this._position="left"==this._origin?"left-origin-center":"right-origin-center")},t.prototype._onTranslateTabStarted=function(t){var e=this._isCenterPosition(t.toState);this._beforeCentering.emit(e),e&&this._onCentering.emit(this._elementRef.nativeElement.clientHeight)},t.prototype._onTranslateTabComplete=function(t){this._isCenterPosition(t.toState)&&this._isCenterPosition(this._position)&&this._onCentered.emit(),this._isCenterPosition(t.fromState)&&!this._isCenterPosition(this._position)&&this._afterLeavingCenter.emit()},t.prototype._getLayoutDirection=function(){return this._dir&&"rtl"===this._dir.value?"rtl":"ltr"},t.prototype._isCenterPosition=function(t){return"center"==t||"left-origin-center"==t||"right-origin-center"==t},t.decorators=[{type:e.Component,args:[{selector:"mat-tab-body",template:'<div class="mat-tab-body-content" #content [@translateTab]="_position" (@translateTab.start)="_onTranslateTabStarted($event)" (@translateTab.done)="_onTranslateTabComplete($event)"><ng-template matTabBodyHost></ng-template></div>',styles:[".mat-tab-body-content{height:100%;overflow:auto}.mat-tab-group-dynamic-height .mat-tab-body-content{overflow:hidden}"],encapsulation:e.ViewEncapsulation.None,changeDetection:e.ChangeDetectionStrategy.OnPush,animations:[I.translateTab],host:{class:"mat-tab-body"}}]}],t.ctorParameters=function(){return[{type:e.ElementRef},{type:o.Directionality,decorators:[{type:e.Optional}]}]},t.propDecorators={_onCentering:[{type:e.Output}],_beforeCentering:[{type:e.Output}],_afterLeavingCenter:[{type:e.Output}],_onCentered:[{type:e.Output}],_portalHost:[{type:e.ViewChild,args:[n.PortalHostDirective]}],_content:[{type:e.Input,args:["content"]}],position:[{type:e.Input}],origin:[{type:e.Input}]},t}(),D=function(){function t(){}return t}(),R=a.mixinDisabled(D),L=function(t){function n(e){var n=t.call(this)||this;return n.elementRef=e,n}return u(n,t),n.prototype.focus=function(){this.elementRef.nativeElement.focus()},n.prototype.getOffsetLeft=function(){return this.elementRef.nativeElement.offsetLeft},n.prototype.getOffsetWidth=function(){return this.elementRef.nativeElement.offsetWidth},n.decorators=[{type:e.Directive,args:[{selector:"[matTabLabelWrapper]",inputs:["disabled"],host:{"[class.mat-tab-disabled]":"disabled"}}]}],n.ctorParameters=function(){return[{type:e.ElementRef}]},n}(R),P=function(){function t(){}return t}(),E=a.mixinDisableRipple(P),O=function(t){function n(n,a,r,o){var s=t.call(this)||this;return s._elementRef=n,s._changeDetectorRef=a,s._viewportRuler=r,s._dir=o,s._focusIndex=0,s._scrollDistance=0,s._selectedIndexChanged=!1,s._realignInkBar=i.Subscription.EMPTY,s._showPaginationControls=!1,s._disableScrollAfter=!0,s._disableScrollBefore=!0,s._selectedIndex=0,s.selectFocusedIndex=new e.EventEmitter,s.indexFocused=new e.EventEmitter,s}return u(n,t),Object.defineProperty(n.prototype,"selectedIndex",{get:function(){return this._selectedIndex},set:function(t){t=l.coerceNumberProperty(t),this._selectedIndexChanged=this._selectedIndex!=t,this._selectedIndex=t,this._focusIndex=t},enumerable:!0,configurable:!0}),n.prototype.ngAfterContentChecked=function(){this._tabLabelCount!=this._labelWrappers.length&&(this._updatePagination(),this._tabLabelCount=this._labelWrappers.length,this._changeDetectorRef.markForCheck()),this._selectedIndexChanged&&(this._scrollToLabel(this._selectedIndex),this._checkScrollingControls(),this._alignInkBarToSelectedTab(),this._selectedIndexChanged=!1,this._changeDetectorRef.markForCheck()),this._scrollDistanceChanged&&(this._updateTabScrollPosition(),this._scrollDistanceChanged=!1,this._changeDetectorRef.markForCheck())},n.prototype._handleKeydown=function(t){switch(t.keyCode){case c.RIGHT_ARROW:this._focusNextTab();break;case c.LEFT_ARROW:this._focusPreviousTab();break;case c.HOME:this._focusFirstTab(),t.preventDefault();break;case c.END:this._focusLastTab(),t.preventDefault();break;case c.ENTER:case c.SPACE:this.selectFocusedIndex.emit(this.focusIndex),t.preventDefault()}},n.prototype.ngAfterContentInit=function(){var t=this,e=this._dir?this._dir.change:i.of(null),n=this._viewportRuler.change(150),a=function(){t._updatePagination(),t._alignInkBarToSelectedTab()};"undefined"!=typeof requestAnimationFrame?requestAnimationFrame(a):a(),this._realignInkBar=i.merge(e,n).subscribe(a)},n.prototype.ngOnDestroy=function(){this._realignInkBar.unsubscribe()},n.prototype._onContentChanges=function(){this._updatePagination(),this._alignInkBarToSelectedTab(),this._changeDetectorRef.markForCheck()},n.prototype._updatePagination=function(){this._checkPaginationEnabled(),this._checkScrollingControls(),this._updateTabScrollPosition()},Object.defineProperty(n.prototype,"focusIndex",{get:function(){return this._focusIndex},set:function(t){this._isValidIndex(t)&&this._focusIndex!=t&&(this._focusIndex=t,this.indexFocused.emit(t),this._setTabFocus(t))},enumerable:!0,configurable:!0}),n.prototype._isValidIndex=function(t){if(!this._labelWrappers)return!0;var e=this._labelWrappers?this._labelWrappers.toArray()[t]:null;return!!e&&!e.disabled},n.prototype._setTabFocus=function(t){if(this._showPaginationControls&&this._scrollToLabel(t),this._labelWrappers&&this._labelWrappers.length){this._labelWrappers.toArray()[t].focus();var e=this._tabListContainer.nativeElement,n=this._getLayoutDirection();e.scrollLeft="ltr"==n?0:e.scrollWidth-e.offsetWidth}},n.prototype._moveFocus=function(t){if(this._labelWrappers)for(var e=this._labelWrappers.toArray(),n=this.focusIndex+t;n<e.length&&n>=0;n+=t)if(this._isValidIndex(n))return void(this.focusIndex=n)},n.prototype._focusNextTab=function(){this._moveFocus("ltr"==this._getLayoutDirection()?1:-1)},n.prototype._focusPreviousTab=function(){this._moveFocus("ltr"==this._getLayoutDirection()?-1:1)},n.prototype._focusFirstTab=function(){for(var t=0;t<this._labelWrappers.length;t++)if(this._isValidIndex(t)){this.focusIndex=t;break}},n.prototype._focusLastTab=function(){for(var t=this._labelWrappers.length-1;t>-1;t--)if(this._isValidIndex(t)){this.focusIndex=t;break}},n.prototype._getLayoutDirection=function(){return this._dir&&"rtl"===this._dir.value?"rtl":"ltr"},n.prototype._updateTabScrollPosition=function(){var t=this.scrollDistance,e="ltr"===this._getLayoutDirection()?-t:t;this._tabList.nativeElement.style.transform="translate3d("+e+"px, 0, 0)"},Object.defineProperty(n.prototype,"scrollDistance",{get:function(){return this._scrollDistance},set:function(t){this._scrollDistance=Math.max(0,Math.min(this._getMaxScrollDistance(),t)),this._scrollDistanceChanged=!0,this._checkScrollingControls()},enumerable:!0,configurable:!0}),n.prototype._scrollHeader=function(t){var e=this._tabListContainer.nativeElement.offsetWidth;this.scrollDistance+=("before"==t?-1:1)*e/3},n.prototype._scrollToLabel=function(t){var e=this._labelWrappers?this._labelWrappers.toArray()[t]:null;if(e){var n,a,i=this._tabListContainer.nativeElement.offsetWidth;"ltr"==this._getLayoutDirection()?(n=e.getOffsetLeft(),a=n+e.getOffsetWidth()):(a=this._tabList.nativeElement.offsetWidth-e.getOffsetLeft(),n=a-e.getOffsetWidth());var r=this.scrollDistance,o=this.scrollDistance+i;n<r?this.scrollDistance-=r-n+60:a>o&&(this.scrollDistance+=a-o+60)}},n.prototype._checkPaginationEnabled=function(){var t=this._tabList.nativeElement.scrollWidth>this._elementRef.nativeElement.offsetWidth;t||(this.scrollDistance=0),t!==this._showPaginationControls&&this._changeDetectorRef.markForCheck(),this._showPaginationControls=t},n.prototype._checkScrollingControls=function(){this._disableScrollBefore=0==this.scrollDistance,this._disableScrollAfter=this.scrollDistance==this._getMaxScrollDistance(),this._changeDetectorRef.markForCheck()},n.prototype._getMaxScrollDistance=function(){return this._tabList.nativeElement.scrollWidth-this._tabListContainer.nativeElement.offsetWidth||0},n.prototype._alignInkBarToSelectedTab=function(){var t=this._labelWrappers&&this._labelWrappers.length?this._labelWrappers.toArray()[this.selectedIndex].elementRef.nativeElement:null;this._inkBar.alignToElement(t)},n.decorators=[{type:e.Component,args:[{selector:"mat-tab-header",template:'<div class="mat-tab-header-pagination mat-tab-header-pagination-before mat-elevation-z4" aria-hidden="true" mat-ripple [matRippleDisabled]="_disableScrollBefore || disableRipple" [class.mat-tab-header-pagination-disabled]="_disableScrollBefore" (click)="_scrollHeader(\'before\')"><div class="mat-tab-header-pagination-chevron"></div></div><div class="mat-tab-label-container" #tabListContainer (keydown)="_handleKeydown($event)"><div class="mat-tab-list" #tabList role="tablist" (cdkObserveContent)="_onContentChanges()"><div class="mat-tab-labels"><ng-content></ng-content></div><mat-ink-bar></mat-ink-bar></div></div><div class="mat-tab-header-pagination mat-tab-header-pagination-after mat-elevation-z4" aria-hidden="true" mat-ripple [matRippleDisabled]="_disableScrollAfter || disableRipple" [class.mat-tab-header-pagination-disabled]="_disableScrollAfter" (click)="_scrollHeader(\'after\')"><div class="mat-tab-header-pagination-chevron"></div></div>',styles:[".mat-tab-header{display:flex;overflow:hidden;position:relative;flex-shrink:0}.mat-tab-label{height:48px;padding:0 24px;cursor:pointer;box-sizing:border-box;opacity:.6;min-width:160px;text-align:center;display:inline-flex;justify-content:center;align-items:center;white-space:nowrap;position:relative}.mat-tab-label:focus{outline:0}.mat-tab-label:focus:not(.mat-tab-disabled){opacity:1}.mat-tab-label.mat-tab-disabled{cursor:default}.mat-tab-label.mat-tab-label-content{display:inline-flex;justify-content:center;align-items:center;white-space:nowrap}@media (max-width:599px){.mat-tab-label{min-width:72px}}.mat-ink-bar{position:absolute;bottom:0;height:2px;transition:.5s cubic-bezier(.35,0,.25,1)}.mat-tab-group-inverted-header .mat-ink-bar{bottom:auto;top:0}@media screen and (-ms-high-contrast:active){.mat-ink-bar{outline:solid 2px;height:0}}.mat-tab-header-pagination{position:relative;display:none;justify-content:center;align-items:center;min-width:32px;cursor:pointer;z-index:2}.mat-tab-header-pagination-controls-enabled .mat-tab-header-pagination{display:flex}.mat-tab-header-pagination-before,.mat-tab-header-rtl .mat-tab-header-pagination-after{padding-left:4px}.mat-tab-header-pagination-before .mat-tab-header-pagination-chevron,.mat-tab-header-rtl .mat-tab-header-pagination-after .mat-tab-header-pagination-chevron{transform:rotate(-135deg)}.mat-tab-header-pagination-after,.mat-tab-header-rtl .mat-tab-header-pagination-before{padding-right:4px}.mat-tab-header-pagination-after .mat-tab-header-pagination-chevron,.mat-tab-header-rtl .mat-tab-header-pagination-before .mat-tab-header-pagination-chevron{transform:rotate(45deg)}.mat-tab-header-pagination-chevron{border-style:solid;border-width:2px 2px 0 0;content:'';height:8px;width:8px}.mat-tab-header-pagination-disabled{box-shadow:none;cursor:default}.mat-tab-label-container{display:flex;flex-grow:1;overflow:hidden;z-index:1}.mat-tab-list{flex-grow:1;position:relative;transition:transform .5s cubic-bezier(.35,0,.25,1)}.mat-tab-labels{display:flex}"],inputs:["disableRipple"],encapsulation:e.ViewEncapsulation.None,changeDetection:e.ChangeDetectionStrategy.OnPush,host:{class:"mat-tab-header","[class.mat-tab-header-pagination-controls-enabled]":"_showPaginationControls","[class.mat-tab-header-rtl]":"_getLayoutDirection() == 'rtl'"}}]}],n.ctorParameters=function(){return[{type:e.ElementRef},{type:e.ChangeDetectorRef},{type:p.ViewportRuler},{type:o.Directionality,decorators:[{type:e.Optional}]}]},n.propDecorators={_labelWrappers:[{type:e.ContentChildren,args:[L]}],_inkBar:[{type:e.ViewChild,args:[_]}],_tabListContainer:[{type:e.ViewChild,args:["tabListContainer"]}],_tabList:[{type:e.ViewChild,args:["tabList"]}],selectedIndex:[{type:e.Input}],selectFocusedIndex:[{type:e.Output}],indexFocused:[{type:e.Output}]},n}(E),S=0,B=function(){function t(){}return t}(),W=function(){function t(t){this._elementRef=t}return t}(),A=a.mixinColor(a.mixinDisableRipple(W),"primary"),M=function(t){function n(n,a){var r=t.call(this,n)||this;return r._changeDetectorRef=a,r._indexToSelect=0,r._tabBodyWrapperHeight=0,r._tabsSubscription=i.Subscription.EMPTY,r._tabLabelSubscription=i.Subscription.EMPTY,r._dynamicHeight=!1,r._selectedIndex=null,r.headerPosition="above",r.selectedIndexChange=new e.EventEmitter,r.focusChange=new e.EventEmitter,r.animationDone=new e.EventEmitter,r.selectedTabChange=new e.EventEmitter(!0),r._groupId=S++,r}return u(n,t),Object.defineProperty(n.prototype,"dynamicHeight",{get:function(){return this._dynamicHeight},set:function(t){this._dynamicHeight=l.coerceBooleanProperty(t)},enumerable:!0,configurable:!0}),Object.defineProperty(n.prototype,"selectedIndex",{get:function(){return this._selectedIndex},set:function(t){this._indexToSelect=l.coerceNumberProperty(t,null)},enumerable:!0,configurable:!0}),Object.defineProperty(n.prototype,"backgroundColor",{get:function(){return this._backgroundColor},set:function(t){var e=this._elementRef.nativeElement;e.classList.remove("mat-background-"+this.backgroundColor),t&&e.classList.add("mat-background-"+t),this._backgroundColor=t},enumerable:!0,configurable:!0}),n.prototype.ngAfterContentChecked=function(){var t=this,e=this._indexToSelect=Math.min(this._tabs.length-1,Math.max(this._indexToSelect||0,0));if(this._selectedIndex!=e&&null!=this._selectedIndex){var n=this._createChangeEvent(e);this.selectedTabChange.emit(n),Promise.resolve().then(function(){return t.selectedIndexChange.emit(e)})}this._tabs.forEach(function(n,a){n.position=a-e,n.isActive=a===e,null==t._selectedIndex||0!=n.position||n.origin||(n.origin=e-t._selectedIndex)}),this._selectedIndex!==e&&(this._selectedIndex=e,this._changeDetectorRef.markForCheck())},n.prototype.ngAfterContentInit=function(){var t=this;this._subscribeToTabLabels(),this._tabsSubscription=this._tabs.changes.subscribe(function(){t._subscribeToTabLabels(),t._changeDetectorRef.markForCheck()})},n.prototype.ngOnDestroy=function(){this._tabsSubscription.unsubscribe(),this._tabLabelSubscription.unsubscribe()},n.prototype.realignInkBar=function(){this._tabHeader&&this._tabHeader._alignInkBarToSelectedTab()},n.prototype._focusChanged=function(t){this.focusChange.emit(this._createChangeEvent(t))},n.prototype._createChangeEvent=function(t){var e=new B;return e.index=t,this._tabs&&this._tabs.length&&(e.tab=this._tabs.toArray()[t]),e},n.prototype._subscribeToTabLabels=function(){var t=this;this._tabLabelSubscription&&this._tabLabelSubscription.unsubscribe(),this._tabLabelSubscription=i.merge.apply(void 0,this._tabs.map(function(t){return t._disableChange}).concat(this._tabs.map(function(t){return t._labelChange}))).subscribe(function(){t._changeDetectorRef.markForCheck()})},n.prototype._getTabLabelId=function(t){return"mat-tab-label-"+this._groupId+"-"+t},n.prototype._getTabContentId=function(t){return"mat-tab-content-"+this._groupId+"-"+t},n.prototype._setTabBodyWrapperHeight=function(t){if(this._dynamicHeight&&this._tabBodyWrapperHeight){var e=this._tabBodyWrapper.nativeElement;e.style.height=this._tabBodyWrapperHeight+"px",this._tabBodyWrapper.nativeElement.offsetHeight&&(e.style.height=t+"px")}},n.prototype._removeTabBodyWrapperHeight=function(){this._tabBodyWrapperHeight=this._tabBodyWrapper.nativeElement.clientHeight,this._tabBodyWrapper.nativeElement.style.height="",this.animationDone.emit()},n.prototype._handleClick=function(t,e,n){t.disabled||(this.selectedIndex=e.focusIndex=n)},n.prototype._getTabIndex=function(t,e){return t.disabled?null:this.selectedIndex===e?0:-1},n.decorators=[{type:e.Component,args:[{selector:"mat-tab-group",exportAs:"matTabGroup",template:'<mat-tab-header #tabHeader [selectedIndex]="selectedIndex" [disableRipple]="disableRipple" (indexFocused)="_focusChanged($event)" (selectFocusedIndex)="selectedIndex = $event"><div class="mat-tab-label" role="tab" matTabLabelWrapper mat-ripple *ngFor="let tab of _tabs; let i = index" [id]="_getTabLabelId(i)" [attr.tabIndex]="_getTabIndex(tab, i)" [attr.aria-controls]="_getTabContentId(i)" [attr.aria-selected]="selectedIndex == i" [class.mat-tab-label-active]="selectedIndex == i" [disabled]="tab.disabled" [matRippleDisabled]="tab.disabled || disableRipple" (click)="_handleClick(tab, tabHeader, i)"><div class="mat-tab-label-content"><ng-template [ngIf]="tab.templateLabel"><ng-template [cdkPortalOutlet]="tab.templateLabel"></ng-template></ng-template><ng-template [ngIf]="!tab.templateLabel">{{tab.textLabel}}</ng-template></div></div></mat-tab-header><div class="mat-tab-body-wrapper" #tabBodyWrapper><mat-tab-body role="tabpanel" *ngFor="let tab of _tabs; let i = index" [id]="_getTabContentId(i)" [attr.aria-labelledby]="_getTabLabelId(i)" [class.mat-tab-body-active]="selectedIndex == i" [content]="tab.content" [position]="tab.position" [origin]="tab.origin" (_onCentered)="_removeTabBodyWrapperHeight()" (_onCentering)="_setTabBodyWrapperHeight($event)"></mat-tab-body></div>',styles:[".mat-tab-group{display:flex;flex-direction:column}.mat-tab-group.mat-tab-group-inverted-header{flex-direction:column-reverse}.mat-tab-label{height:48px;padding:0 24px;cursor:pointer;box-sizing:border-box;opacity:.6;min-width:160px;text-align:center;display:inline-flex;justify-content:center;align-items:center;white-space:nowrap;position:relative}.mat-tab-label:focus{outline:0}.mat-tab-label:focus:not(.mat-tab-disabled){opacity:1}.mat-tab-label.mat-tab-disabled{cursor:default}.mat-tab-label.mat-tab-label-content{display:inline-flex;justify-content:center;align-items:center;white-space:nowrap}@media (max-width:599px){.mat-tab-label{padding:0 12px}}@media (max-width:959px){.mat-tab-label{padding:0 12px}}.mat-tab-group[mat-stretch-tabs] .mat-tab-label{flex-basis:0;flex-grow:1}.mat-tab-body-wrapper{position:relative;overflow:hidden;display:flex;transition:height .5s cubic-bezier(.35,0,.25,1)}.mat-tab-body{top:0;left:0;right:0;bottom:0;position:absolute;display:block;overflow:hidden;flex-basis:100%}.mat-tab-body.mat-tab-body-active{position:relative;overflow-x:hidden;overflow-y:auto;z-index:1;flex-grow:1}.mat-tab-group.mat-tab-group-dynamic-height .mat-tab-body.mat-tab-body-active{overflow-y:hidden}"],encapsulation:e.ViewEncapsulation.None,changeDetection:e.ChangeDetectionStrategy.OnPush,inputs:["color","disableRipple"],host:{class:"mat-tab-group","[class.mat-tab-group-dynamic-height]":"dynamicHeight","[class.mat-tab-group-inverted-header]":'headerPosition === "below"'}}]}],n.ctorParameters=function(){return[{type:e.ElementRef},{type:e.ChangeDetectorRef}]},n.propDecorators={_tabs:[{type:e.ContentChildren,args:[k]}],_tabBodyWrapper:[{type:e.ViewChild,args:["tabBodyWrapper"]}],_tabHeader:[{type:e.ViewChild,args:["tabHeader"]}],dynamicHeight:[{type:e.Input}],selectedIndex:[{type:e.Input}],headerPosition:[{type:e.Input}],backgroundColor:[{type:e.Input}],selectedIndexChange:[{type:e.Output}],focusChange:[{type:e.Output}],animationDone:[{type:e.Output}],selectedTabChange:[{type:e.Output}]},n}(A),j=function(){function t(t){this._elementRef=t}return t}(),F=a.mixinDisableRipple(a.mixinColor(j,"primary")),H=function(t){function n(e,n,a,r,o){var s=t.call(this,e)||this;return s._dir=n,s._ngZone=a,s._changeDetectorRef=r,s._viewportRuler=o,s._onDestroy=new i.Subject,s}return u(n,t),Object.defineProperty(n.prototype,"backgroundColor",{get:function(){return this._backgroundColor},set:function(t){var e=this._elementRef.nativeElement;e.classList.remove("mat-background-"+this.backgroundColor),t&&e.classList.add("mat-background-"+t),this._backgroundColor=t},enumerable:!0,configurable:!0}),n.prototype.updateActiveLink=function(t){this._activeLinkChanged=!!t,this._changeDetectorRef.markForCheck()},n.prototype.ngAfterContentInit=function(){var t=this;this._ngZone.runOutsideAngular(function(){var e=t._dir?t._dir.change:i.of(null);return i.merge(e,t._viewportRuler.change(10)).pipe(s.takeUntil(t._onDestroy)).subscribe(function(){return t._alignInkBar()})})},n.prototype.ngAfterContentChecked=function(){if(this._activeLinkChanged){var t=this._tabLinks.find(function(t){return t.active});this._activeLinkElement=t?t._elementRef:null,this._alignInkBar(),this._activeLinkChanged=!1}},n.prototype.ngOnDestroy=function(){this._onDestroy.next(),this._onDestroy.complete()},n.prototype._alignInkBar=function(){this._activeLinkElement?(this._inkBar.show(),this._inkBar.alignToElement(this._activeLinkElement.nativeElement)):this._inkBar.hide()},n.decorators=[{type:e.Component,args:[{selector:"[mat-tab-nav-bar]",exportAs:"matTabNavBar, matTabNav",inputs:["color","disableRipple"],template:'<div class="mat-tab-links" (cdkObserveContent)="_alignInkBar()"><ng-content></ng-content><mat-ink-bar></mat-ink-bar></div>',styles:[".mat-tab-nav-bar{overflow:hidden;position:relative;flex-shrink:0}.mat-tab-links{position:relative;display:flex}.mat-tab-link{height:48px;padding:0 24px;cursor:pointer;box-sizing:border-box;opacity:.6;min-width:160px;text-align:center;display:inline-flex;justify-content:center;align-items:center;white-space:nowrap;vertical-align:top;text-decoration:none;position:relative;overflow:hidden}.mat-tab-link:focus{outline:0}.mat-tab-link:focus:not(.mat-tab-disabled){opacity:1}.mat-tab-link.mat-tab-disabled{cursor:default}.mat-tab-link.mat-tab-label-content{display:inline-flex;justify-content:center;align-items:center;white-space:nowrap}[mat-stretch-tabs] .mat-tab-link{flex-basis:0;flex-grow:1}@media (max-width:599px){.mat-tab-link{min-width:72px}}.mat-ink-bar{position:absolute;bottom:0;height:2px;transition:.5s cubic-bezier(.35,0,.25,1)}.mat-tab-group-inverted-header .mat-ink-bar{bottom:auto;top:0}@media screen and (-ms-high-contrast:active){.mat-ink-bar{outline:solid 2px;height:0}}"],host:{class:"mat-tab-nav-bar"},encapsulation:e.ViewEncapsulation.None,changeDetection:e.ChangeDetectionStrategy.OnPush}]}],n.ctorParameters=function(){return[{type:e.ElementRef},{type:o.Directionality,decorators:[{type:e.Optional}]},{type:e.NgZone},{type:e.ChangeDetectorRef},{type:p.ViewportRuler}]},n.propDecorators={_inkBar:[{type:e.ViewChild,args:[_]}],_tabLinks:[{type:e.ContentChildren,args:[e.forwardRef(function(){return q}),{descendants:!0}]}],backgroundColor:[{type:e.Input}]},n}(F),N=function(){function t(){}return t}(),V=a.mixinTabIndex(a.mixinDisableRipple(a.mixinDisabled(N))),q=function(t){function n(e,n,i,r,o,s){var l=t.call(this)||this;return l._tabNavBar=e,l._elementRef=n,l._isActive=!1,l.rippleConfig={},l._tabLinkRipple=new a.RippleRenderer(l,i,n,r),l._tabLinkRipple.setupTriggerEvents(n.nativeElement),l.tabIndex=parseInt(s)||0,o&&(l.rippleConfig={terminateOnPointerUp:o.terminateOnPointerUp,speedFactor:o.baseSpeedFactor,animation:o.animation}),l}return u(n,t),Object.defineProperty(n.prototype,"active",{get:function(){return this._isActive},set:function(t){t!==this._isActive&&(this._isActive=t,this._tabNavBar.updateActiveLink(this._elementRef))},enumerable:!0,configurable:!0}),Object.defineProperty(n.prototype,"rippleDisabled",{get:function(){return this.disabled||this.disableRipple||this._tabNavBar.disableRipple},enumerable:!0,configurable:!0}),n.prototype.ngOnDestroy=function(){this._tabLinkRipple._removeTriggerEvents()},n.prototype._handleClick=function(t){this.disabled&&t.preventDefault()},n.decorators=[{type:e.Directive,args:[{selector:"[mat-tab-link], [matTabLink]",exportAs:"matTabLink",inputs:["disabled","disableRipple","tabIndex"],host:{class:"mat-tab-link","[attr.aria-disabled]":"disabled.toString()","[attr.tabIndex]":"tabIndex","[class.mat-tab-disabled]":"disabled","[class.mat-tab-label-active]":"active","(click)":"_handleClick($event)"}}]}],n.ctorParameters=function(){return[{type:H},{type:e.ElementRef},{type:e.NgZone},{type:d.Platform},{type:void 0,decorators:[{type:e.Optional},{type:e.Inject,args:[a.MAT_RIPPLE_GLOBAL_OPTIONS]}]},{type:void 0,decorators:[{type:e.Attribute,args:["tabindex"]}]}]},n.propDecorators={active:[{type:e.Input}]},n}(V),z=function(){function t(){}return t.decorators=[{type:e.NgModule,args:[{imports:[h.CommonModule,a.MatCommonModule,n.PortalModule,a.MatRippleModule,b.ObserversModule],exports:[a.MatCommonModule,M,y,k,H,q,v],declarations:[M,y,k,_,L,H,q,w,T,O,v]}]}],t}();t.MatInkBar=_,t._MAT_INK_BAR_POSITIONER=m,t.MatTabBody=w,t.MatTabBodyPortal=T,t.MatTabHeader=O,t.MatTabLabelWrapper=L,t.MatTab=k,t.MatTabLabel=y,t.MatTabNav=H,t.MatTabLink=q,t.MatTabContent=v,t.MatTabsModule=z,t.MatTabChangeEvent=B,t.MatTabGroupBase=W,t._MatTabGroupMixinBase=A,t.MatTabGroup=M,t.matTabsAnimations=I,t.ɵa23=g,t.ɵf23=x,t.ɵg23=C,t.ɵb23=P,t.ɵc23=E,t.ɵd23=D,t.ɵe23=R,t.ɵj23=N,t.ɵh23=j,t.ɵk23=V,t.ɵi23=F,Object.defineProperty(t,"__esModule",{value:!0})});
//# sourceMappingURL=material-tabs.umd.min.js.map
